Skip to main content
GET
/
swaps
/
{id}
Retrieving a domain swap
curl --request GET \
  --url https://api.peeker.ai/api/partner/v1/swaps/{id} \
  --header 'Authorization: Bearer <token>'
{ "data": { "id": "swp_01HZX0SW1A2B3C4D5E6F7G8H", "type": "premium", "domain_id": "dom_01HZX0D01A2B3C4D5E6F7G8H", "replacement_domain": "acme-fresh.com", "status": "in_progress", "created_at": "2026-05-08T12:00:00Z" } }

Documentation Index

Fetch the complete documentation index at: https://docs.peeker.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:Bearer pk_test_<your-test-key>
required

Your partner API key. Use pk_live_… against the live system or pk_test_… against the sandbox.

Path Parameters

id
string
required

The swap ID, e.g. swp_01HZX.

Example:

"swp_01HZX"

Response

200 - application/json

A swap.

data
object
required
Last modified on May 14, 2026